Get an order by ID
curl --request GET \
--url https://swish.app/api/2026-07/orders/{orderId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://swish.app/api/2026-07/orders/{orderId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://swish.app/api/2026-07/orders/{orderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://swish.app/api/2026-07/orders/{orderId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://swish.app/api/2026-07/orders/{orderId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://swish.app/api/2026-07/orders/{orderId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://swish.app/api/2026-07/orders/{orderId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "gid://shopify/Order/4568392",
"name": "#4568392",
"processedAt": "2025-11-02T10:00:00Z",
"totalQuantity": 5,
"totalPrice": {
"currencyCode": "AUD",
"amount": 100
},
"displayStatus": "PARTIALLY_FULFILLED",
"fulfillments": [
{
"id": "gid://shopify/Fulfillment/116123324",
"deliveredAt": "2025-11-02T10:00:00Z",
"displayStatus": "IN_TRANSIT",
"estimatedDeliveryAt": "2025-11-02T10:00:00Z",
"inTransitAt": "2025-11-02T10:00:00Z",
"totalQuantity": 1,
"trackingInfo": [
{
"company": "UPS",
"number": "1234567890",
"url": "https://www.ups.com/track?number=1234567890"
}
],
"lineItems": [
{
"id": "gid://shopify/LineItem/116123324",
"title": "Meadow Maxi Dress",
"variant": {
"id": "gid://shopify/ProductVariant/401234567890",
"title": "Size 6",
"availableForSale": true,
"image": {
"id": "gid://shopify/ProductImage/123456789",
"altText": "Product image",
"url": "https://cdn.shopify.com/image1.jpg",
"thumbhash": "1QcSHQRnh493V4dIh4eXh1h4kJUI"
}
},
"product": {
"id": "gid://shopify/Product/123456789",
"title": "Awesome Product"
},
"quantity": 1,
"originalTotalPrice": {
"currencyCode": "AUD",
"amount": 100
},
"requiresShipping": true,
"unfulfilledQuantity": 1
}
]
}
],
"unfulfilledLineItems": [
{
"id": "gid://shopify/LineItem/116123324",
"title": "Meadow Maxi Dress",
"variant": {
"id": "gid://shopify/ProductVariant/401234567890",
"title": "Size 6",
"availableForSale": true,
"image": {
"id": "gid://shopify/ProductImage/123456789",
"altText": "Product image",
"url": "https://cdn.shopify.com/image1.jpg",
"thumbhash": "1QcSHQRnh493V4dIh4eXh1h4kJUI"
}
},
"product": {
"id": "gid://shopify/Product/123456789",
"title": "Awesome Product"
},
"quantity": 1,
"originalTotalPrice": {
"currencyCode": "AUD",
"amount": 100
},
"requiresShipping": true,
"unfulfilledQuantity": 1
}
]
}
}{
"error": {
"message": "Validation failed",
"error": "Bad Request",
"statusCode": 400,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"error": {
"message": "Failed to authenticate request",
"error": "Unauthorized",
"statusCode": 401,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"error": {
"message": "You do not have permission to access this resource",
"error": "Forbidden",
"statusCode": 403,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"error": {
"message": "The requested resource was not found",
"error": "Not Found",
"statusCode": 404,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"error": {
"message": "An unexpected error occurred",
"error": "Internal Server Error",
"statusCode": 500,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}Orders
Get an order by ID
Returns order detail with line items and tracking information
GET
/
orders
/
{orderId}
Get an order by ID
curl --request GET \
--url https://swish.app/api/2026-07/orders/{orderId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://swish.app/api/2026-07/orders/{orderId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://swish.app/api/2026-07/orders/{orderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://swish.app/api/2026-07/orders/{orderId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://swish.app/api/2026-07/orders/{orderId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://swish.app/api/2026-07/orders/{orderId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://swish.app/api/2026-07/orders/{orderId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "gid://shopify/Order/4568392",
"name": "#4568392",
"processedAt": "2025-11-02T10:00:00Z",
"totalQuantity": 5,
"totalPrice": {
"currencyCode": "AUD",
"amount": 100
},
"displayStatus": "PARTIALLY_FULFILLED",
"fulfillments": [
{
"id": "gid://shopify/Fulfillment/116123324",
"deliveredAt": "2025-11-02T10:00:00Z",
"displayStatus": "IN_TRANSIT",
"estimatedDeliveryAt": "2025-11-02T10:00:00Z",
"inTransitAt": "2025-11-02T10:00:00Z",
"totalQuantity": 1,
"trackingInfo": [
{
"company": "UPS",
"number": "1234567890",
"url": "https://www.ups.com/track?number=1234567890"
}
],
"lineItems": [
{
"id": "gid://shopify/LineItem/116123324",
"title": "Meadow Maxi Dress",
"variant": {
"id": "gid://shopify/ProductVariant/401234567890",
"title": "Size 6",
"availableForSale": true,
"image": {
"id": "gid://shopify/ProductImage/123456789",
"altText": "Product image",
"url": "https://cdn.shopify.com/image1.jpg",
"thumbhash": "1QcSHQRnh493V4dIh4eXh1h4kJUI"
}
},
"product": {
"id": "gid://shopify/Product/123456789",
"title": "Awesome Product"
},
"quantity": 1,
"originalTotalPrice": {
"currencyCode": "AUD",
"amount": 100
},
"requiresShipping": true,
"unfulfilledQuantity": 1
}
]
}
],
"unfulfilledLineItems": [
{
"id": "gid://shopify/LineItem/116123324",
"title": "Meadow Maxi Dress",
"variant": {
"id": "gid://shopify/ProductVariant/401234567890",
"title": "Size 6",
"availableForSale": true,
"image": {
"id": "gid://shopify/ProductImage/123456789",
"altText": "Product image",
"url": "https://cdn.shopify.com/image1.jpg",
"thumbhash": "1QcSHQRnh493V4dIh4eXh1h4kJUI"
}
},
"product": {
"id": "gid://shopify/Product/123456789",
"title": "Awesome Product"
},
"quantity": 1,
"originalTotalPrice": {
"currencyCode": "AUD",
"amount": 100
},
"requiresShipping": true,
"unfulfilledQuantity": 1
}
]
}
}{
"error": {
"message": "Validation failed",
"error": "Bad Request",
"statusCode": 400,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"error": {
"message": "Failed to authenticate request",
"error": "Unauthorized",
"statusCode": 401,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"error": {
"message": "You do not have permission to access this resource",
"error": "Forbidden",
"statusCode": 403,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"error": {
"message": "The requested resource was not found",
"error": "Not Found",
"statusCode": 404,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"error": {
"message": "An unexpected error occurred",
"error": "Internal Server Error",
"statusCode": 500,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}